Bug 1279785 - Review Request: python-openpyxl - Python library to read/write Excel 2010 xlsx/xlsm files
Review Request: python-openpyxl - Python library to read/write Excel 2010 xls...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On: 1279783
Blocks: 1279787
  Show dependency treegraph
 
Reported: 2015-11-10 05:05 EST by Julien Enselme
Modified: 2015-12-01 14:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 12:52:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Julien Enselme 2015-11-10 05:05:34 EST
Spec URL: http://dl.jujens.eu/SPECS/python-openpyxl.spec
SRPM URL: http://dl.jujens.eu/SRPMS/python-openpyxl-2.3.0-1.fc23.src.rpm
Description:
penpyxl is a Python library to read/write Excel 2010 xlsx/xlsm/xltx/xltm files.

It was born from lack of existing library to read/write natively from Python the
Office Open XML format.

Fedora Account System Username: jujens
Comment 1 Pavel Alexeev 2015-11-21 16:23:52 EST
On installation of resulting rpm I got: Error: nothing provides python3-et_xmlfile needed by python3-openpyxl-2.3.0-1.fc22.noarch
Comment 2 Pavel Alexeev 2015-11-21 16:28:35 EST
Oppp, I missed dependency. I step on them.
Comment 3 Upstream Release Monitoring 2015-11-22 12:04:45 EST
hubbitus's scratch build of python-openpyxl-2.3.0-1.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11948237
Comment 4 Pavel Alexeev 2015-11-22 12:06:40 EST
Package Review
==============

Legend:
[+] = Pass, [!] = Fail, [x] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[+]: Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "PSF (v2) MIT/X11 (BSD like)", "PSF
     (v2)", "Unknown or generated". 156 files have unknown license.
     Detailed output of licensecheck in /home/pasha/SOFT/review/python-
     openpyxl/1279785-python-openpyxl/licensecheck.txt
     
     openpyxl/compat/odict.py under PYTHON SOFTWARE FOUNDATION LICENSE VERSION 2, not MIT.
[+]: License file installed when any subpackage combination is installed.
[+]: Package contains no bundled libraries without FPC exception.
[+]: Changelog in prescribed format.
[+]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[+]: Package uses nothing in %doc for runtime.
[+]: Package consistently uses macros (instead of hard-coded directory names).
[+]: Package is named according to the Package Naming Guidelines.
[+]: Package does not generate any conflict.
[+]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and Provides are present.
[+]: Requires correct, justified where necessary.
[+]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[+]: Package is not known to require an ExcludeArch tag.
[+]: Large documentation must go in a -doc subpackage. Large could be size (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[+]: Package complies to the Packaging Guidelines
[+]: Package successfully compiles and builds into binary rpms on at least one supported primary architecture.
[+]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[+]: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %license.
[+]: Package requires other packages for directories it uses.
[+]: Package must own all directories that it creates.
[+]: Package does not own files or directories owned by other packages.
[+]: All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[+]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the beginning of %install.
[+]: Macros in Summary, %description expandable at SRPM build time.
[+]: Dist tag is present.
[+]: Package does not contain duplicates in %files.
[+]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't work.
[+]: Package is named using only allowed ASCII characters.
[+]: Package does not use a name that already exists.
[+]: Package is not relocatable.
[+]: Sources used to build the package match the upstream source, as provided in the spec URL.
[+]: Spec file name must match the spec package %{name}, in the format %{name}.spec.
[+]: File names are valid UTF-8.
[+]: Packages must not store files under /srv, /opt or /usr/local

Python:
[+]: Python eggs must not download any dependencies during the build process.
[?]: A package which is used by another package via an egg interface should provide egg info.
[+]: Package meets the Packaging Guidelines::Python
[+]: Package contains BR: python2-devel or python3-devel
[+]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[+]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]: Final provides and requires are sane (see attachments).
[+]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-openpyxl , python3-openpyxl
[?]: Package functions as described.
[!]: Latest version is packaged.
    2.3.1 avalable. Please update.
[+]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[+]: Package should compile and build into binary rpms on all supported architectures.
[!]: %check is present and all tests pass.
    %check present, but empty.
[+]: Packages should try to preserve timestamps of original installed files.
[+]: Sources can be downloaded from URI in Source: tag
[+]: Reviewer should test that the package builds in mock.
[+]: Buildroot is not present
[+]: Package has no %clean section with rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
[+]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[+]: SourceX is a working URL.
[+]: Spec use %global instead of %define unless justified.

Rpmlint
-------
Checking: python2-openpyxl-2.3.0-1.fc22.noarch.rpm
          python3-openpyxl-2.3.0-1.fc22.noarch.rpm
          python-openpyxl-2.3.0-1.fc22.src.rpm
python2-openpyxl.noarch: W: spelling-error Summary(en_US) xlsx -> XL
python2-openpyxl.noarch: W: spelling-error Summary(en_US) xlsm -> XL
python2-openpyxl.noarch: W: spelling-error %description -l en_US xlsx -> XL
python2-openpyxl.noarch: W: spelling-error %description -l en_US xlsm -> XL
python2-openpyxl.noarch: W: spelling-error %description -l en_US xltx -> XL
python2-openpyxl.noarch: W: spelling-error %description -l en_US xltm -> XL
python2-openpyxl.noarch: W: spelling-error %description -l en_US natively -> naively, negatively, tentatively
python2-openpyxl.noarch: W: hidden-file-or-dir /usr/lib/python2.7/site-packages/openpyxl/.constants.json
python3-openpyxl.noarch: W: spelling-error Summary(en_US) xlsx -> XL
python3-openpyxl.noarch: W: spelling-error Summary(en_US) xlsm -> XL
python3-openpyxl.noarch: W: spelling-error %description -l en_US xlsx -> XL
python3-openpyxl.noarch: W: spelling-error %description -l en_US xlsm -> XL
python3-openpyxl.noarch: W: spelling-error %description -l en_US xltx -> XL
python3-openpyxl.noarch: W: spelling-error %description -l en_US xltm -> XL
python3-openpyxl.noarch: W: spelling-error %description -l en_US natively -> naively, negatively, tentatively
python3-openpyxl.noarch: W: hidden-file-or-dir /usr/lib/python3.4/site-packages/openpyxl/.constants.json
python-openpyxl.src: W: spelling-error Summary(en_US) xlsx -> XL
python-openpyxl.src: W: spelling-error Summary(en_US) xlsm -> XL
python-openpyxl.src: W: spelling-error %description -l en_US xlsx -> XL
python-openpyxl.src: W: spelling-error %description -l en_US xlsm -> XL
python-openpyxl.src: W: spelling-error %description -l en_US xltx -> XL
python-openpyxl.src: W: spelling-error %description -l en_US xltm -> XL
python-openpyxl.src: W: spelling-error %description -l en_US natively -> naively, negatively, tentatively
3 packages and 0 specfiles checked; 0 errors, 23 warnings.


Requires
--------
python3-openpyxl (rpmlib, GLIBC filtered):
    python(abi)
    python3-et_xmlfile
    python3-jdcal

python2-openpyxl (rpmlib, GLIBC filtered):
    python(abi)
    python2-et_xmlfile
    python2-jdcal



Provides
--------
python3-openpyxl:
    python3-openpyxl

python2-openpyxl:
    python-openpyxl
    python2-openpyxl



Source checksums
----------------
https://pypi.python.org/packages/source/o/openpyxl/openpyxl-2.3.0.tar.gz :
  CHECKSUM(SHA256) this package     : 2f9d7350304edb0e94ccc898fb7efa8c22b83bb37fdcfeba9b674d07dae19c24
  CHECKSUM(SHA256) upstream package : 2f9d7350304edb0e94ccc898fb7efa8c22b83bb37fdcfeba9b674d07dae19c24


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1279785
Buildroot used: fedora-22-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Julien Enselme 2015-11-22 12:32:35 EST
* Sun Nov 22 2015 Julien Enselme <jujens@jujens.eu> - 2.3.1-1
- Update to 2.3.1
- Correct license
- Remove check section


SRPM: http://dl.jujens.eu/SRPMS/python-openpyxl-2.3.1-1.fc23.src.rpm
SPEC: http://dl.jujens.eu/SPECS/python-openpyxl.spec
Comment 6 Pavel Alexeev 2015-11-22 13:29:47 EST
PACKAGE APPROVED.
Comment 7 Julien Enselme 2015-11-22 13:47:00 EST
Thanks!
Comment 8 Gwyn Ciesla 2015-11-22 15:36:19 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-openpyxl
Comment 9 Fedora Update System 2015-11-22 17:26:56 EST
python-openpyxl-2.3.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ff89b1c282
Comment 10 Fedora Update System 2015-11-22 17:38:10 EST
python-openpyxl-2.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c4e5e71efe
Comment 11 Fedora Update System 2015-11-23 19:54:32 EST
python-openpyxl-2.3.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-openpyxl'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ff89b1c282
Comment 12 Fedora Update System 2015-11-23 21:23:47 EST
python-openpyxl-2.3.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-openpyxl'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c4e5e71efe
Comment 13 Fedora Update System 2015-12-01 12:52:04 EST
python-openpyxl-2.3.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-12-01 14:50:14 EST
python-openpyxl-2.3.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.